> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Accounts

> List accounts



## OpenAPI

````yaml GET /v1/accounts
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1/accounts:
    get:
      summary: ListAccounts
      description: List accounts
      operationId: AccountService_ListAccounts
      parameters:
        - name: game_id
          in: query
          required: true
          schema:
            type: string
            title: game_id
        - name: user_id
          in: query
          schema:
            type: string
            title: user_id
        - name: limit
          in: query
          description: 'default: 100'
          schema:
            exclusiveMinimum: 0
            type: integer
            title: limit
            maximum: 250
            format: int32
        - name: offset
          in: query
          schema:
            type: integer
            title: offset
            minimum: 0
            format: int32
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/wallet.v1.Account'
                title: accounts
components:
  schemas:
    wallet.v1.Account:
      type: object
      properties:
        id:
          type: string
          title: id
        users:
          type: array
          items:
            $ref: '#/components/schemas/wallet.v1.GameUser'
          title: users
          description: All game users linked to this account
        currency:
          type: string
          title: currency
          enum:
            - USD
            - GBP
            - EUR
        balance:
          $ref: '#/components/schemas/wallet.v1.Balance'
          title: balance
      title: Account
      required:
        - id
        - currency
        - balance
      additionalProperties: false
    wallet.v1.GameUser:
      type: object
      properties:
        game_id:
          type: string
          title: game_id
        user_id:
          type: string
          title: user_id
      title: GameUser
      required:
        - game_id
        - user_id
      additionalProperties: false
    wallet.v1.Balance:
      type: object
      properties:
        real:
          type: integer
          title: real
          minimum: 0
          format: int32
        bonus:
          type: integer
          title: bonus
          minimum: 0
          format: int32
      title: Balance
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````